<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Macros Padro/Mediatriz (1)">
<Parameter name="P1">Primeira extremidade do segmento</Parameter>
<Parameter name="P2">Segunda extremidade do segmento</Parameter>
<Comment>
<P>Mediatriz do segmento de extremidades P1 e P2.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.225" y="0.01250000000000018">Punkt in -4.225, 0.01250000000000018</Point>
<Point name="P2" mainparameter="true" x="1.4499999999999993" y="1.8125">Punkt in 1.4499999999999993, 1.8125</Point>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Circle name="k2" hidden="super" through="P1" midpoint="P2" acute="true">Kreis um P2 durch P1</Circle>
<Intersection name="S1" hidden="super" first="k1" second="k2" which="second">Schnitt zwischen k1 und k2</Intersection>
<Intersection name="S2" hidden="super" first="k2" second="k1" which="second">Schnitt zwischen k2 und k1</Intersection>
<Line name="g1" target="true" from="S1" to="S2">Middle perpendicular of S1 and S2</Line>
</Objects>
</Macro>
<Macro Name="Macros Padro/Reflexo por uma Reta (5)">
<Parameter name="g1">Reta</Parameter>
<Parameter name="P3">Ponto</Parameter>
<Comment>
<P>Determina a reflexo de um ponto por uma reta.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="-1.4000000000000001" y="3.34">Punkt in -1.4000000000000001, 3.34</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" hidden="super" first="l1" second="g1">Schnitt zwischen l1 und g1</Intersection>
<Circle name="k1" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Intersection name="S2" target="true" first="l1" second="k1" awayfrom="P3" which="second">Schnitt zwischen l1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Macros Padro/Reflexo por um Crculo (6)">
<Parameter name="k">Crculo</Parameter>
<Parameter name="P">Ponto</Parameter>
<Comment>
<P>Determina a reflexo de um ponto por um crculo.</P>
</Comment>
<Objects>
<Point name="P1" parameter="true" x="-0.72" y="-0.89">Punkt in -0.72, -0.89</Point>
<Circle name="k" mainparameter="true" midpoint="P1">???</Circle>
<Point name="P" mainparameter="true" x="1.45" y="1.86">Punkt in 1.45, 1.86</Point>
<Ray name="r1" hidden="super" from="P1" to="P">Strahl von P1 in Richtung P</Ray>
<Circle name="k2" hidden="super" fixed="k^2.0/d(P,P1)" midpoint="P1" acute="true">Kreis um P1 mit Radius 6.738402</Circle>
<Intersection name="S1" target="true" first="r1" second="k2" which="first">Schnitt zwischen r1 und k2</Intersection>
</Objects>
</Macro>
<Macro Name="Macros Padro/Reflexo por um Ponto (7)">
<Parameter name="P1">Centro da reflexo</Parameter>
<Parameter name="P2">Ponto</Parameter>
<Comment>
<P>Determina a reflexo de um ponto por outro.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="0.15000000000000038" y="-0.4874999999999998">Punkt in 0.15000000000000038, -0.4874999999999998</Point>
<Point name="P2" mainparameter="true" x="-2.7800000000000002" y="-2.54">Punkt in -2.7800000000000002, -2.54</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Intersection name="S1" target="true" first="r1" second="k1" awayfrom="P2" which="first">Schnitt zwischen r1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Macros Padro/Bissetriz como uma Reta (8)">
<Parameter name="P1">Ponto no primeiro lado do ngulo</Parameter>
<Parameter name="P2">Vrtice do ngulo</Parameter>
<Parameter name="P3">Ponto no segundo lado do ngulo</Parameter>
<Comment>
<P>Bissetriz como uma reta.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-5.25" y="4.59">Punkt in -5.25, 4.59</Point>
<Point name="P2" mainparameter="true" x="-0.875" y="-3.237500000000001">Punkt in -0.875, -3.237500000000001</Point>
<Point name="P3" mainparameter="true" x="3.5250000000000012" y="2.6875">Punkt in 3.5250000000000012, 2.6875</Point>
<Ray name="r1" hidden="true" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="true" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="true" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Circle name="k2" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Circle name="k3" hidden="super" through="S1" midpoint="P3" acute="true">Kreis um P3 durch S1</Circle>
<Intersection name="S2" hidden="super" first="k2" second="k3" which="second">Schnitt zwischen k2 und k3</Intersection>
<Intersection name="S3" hidden="super" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Line name="g1" target="true" from="S2" to="S3">Gerade durch S2 und S3</Line>
</Objects>
</Macro>
<Macro Name="Macros Padro/Bissetriz como uma Semi-Reta (9)">
<Parameter name="P1">Ponto no primeiro lado do ngulo</Parameter>
<Parameter name="P2">Vrtice do ngulo</Parameter>
<Parameter name="P3">Ponto no segundo lado do ngulo</Parameter>
<Comment>
<P>Bissetriz como uma Semi-Reta.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.100000000000001" y="4.26">Punkt in -4.100000000000001, 4.26</Point>
<Point name="P2" mainparameter="true" x="-0.5250000000000007" y="-2.6875">Punkt in -0.5250000000000007, -2.6875</Point>
<Point name="P3" mainparameter="true" x="3.425000000000001" y="2.7875">Punkt in 3.425000000000001, 2.7875</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="super" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Midpoint name="M1" hidden="super" first="S1" second="P3">Mitte zwischen S1 und P3</Midpoint>
<Ray name="r2" target="true" from="P2" to="M1">Strahl von P2 in Richtung M1</Ray>
</Objects>
</Macro>
<Macro Name="Macros Padro/Projeo de um Ponto sobre uma Reta (2)">
<Parameter name="g1">Reta</Parameter>
<Parameter name="P3">Ponto</Parameter>
<Comment>
<P>Determina a projeo de um ponto sobre uma reta.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="1.675041876046901" y="2.4656616415410397">Punkt in 1.675041876046901, 2.4656616415410397</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" target="true" first="g1" second="l1">Schnitt zwischen g1 und l1</Intersection>
</Objects>
</Macro>
<Macro Name="Macros Padro/Rotao (10)">
<Parameter name="P1">Ponto no primeiro lado do ngulo</Parameter>
<Parameter name="P2">Vrtice do ngulo</Parameter>
<Parameter name="P3">Ponto no segundo lado do ngulo</Parameter>
<Parameter name="P4">Centro da rotao</Parameter>
<Parameter name="P5">Ponto</Parameter>
<Comment>
<P>Rotao de um ponto por um ngulo determinado por trs pontos.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="2.85261" y="-3.271">Point in 2.85261, -3.271</Point>
<Point name="P2" mainparameter="true" x="-3.6893819334389857" y="-3.3217115689381935">Punkt in -3.6893819, -3.3217116</Point>
<Point name="P3" mainparameter="true" x="2.34548" y="-0.91284">Point in 2.34548, -0.91284</Point>
<Point name="P4" mainparameter="true" x="-3.9429477020602217" y="0.6085578446909672">Punkt in -3.9429477, 0.6085578</Point>
<Point name="P5" mainparameter="true" x="1.20444" y="2.71315">Point in 1.20444, 2.71315</Point>
<Angle name="w1" color="1" hidden="super" first="P5" root="P4" fixed="a(P1,P2,P3)">Fixed angle P5 - P4 of size a(P1,P2,P3)</Angle>
<Circle name="k1" color="1" hidden="super" through="P5" midpoint="P4" acute="true">Circle P4 through P5</Circle>
<Intersection name="S1" color="1" target="true" first="w1" second="k1" which="first">Intersection w1 and k1</Intersection>
</Objects>
</Macro>
<Macro Name="Macros Padro/Rotao dado um ngulo (11)">
<Parameter name="P1">Centro da rotao</Parameter>
<Parameter name="P2">Ponto</Parameter>
<Comment>
<P>Rotao de um ponto dado um ngulo.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.2218700475435815" y="-0.4817749603803483">Point in -4.22187, -0.481775</Point>
<Point name="P2" mainparameter="true" x="2.24405705229794" y="0.4564183835182245">Point in 2.2440571, 0.4564184</Point>
<Angle name="w1" hidden="super" first="P2" root="P1" fixed="16">Fixed angle P2 - P1 of size 16</Angle>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Circle around P1 through P2</Circle>
<Intersection name="S1" target="true" first="w1" second="k1" which="first">Intersection of w1 and k1</Intersection>
</Objects>
<PromptFor object0="w1" prompt0="w1"/>
</Macro>
<Macro Name="Macros Padro/Translao (12)">
<Parameter name="P1">Extremidade inicial do vetor translao</Parameter>
<Parameter name="P2">Extremidade final do vetor translao</Parameter>
<Parameter name="P3">Ponto</Parameter>
<Comment>
<P>Translao de um ponto por um vetor.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-3.35975" y="-2.86529">Point in -3.35975, -2.86529</Point>
<Point name="P2" mainparameter="true" x="1.7622820919175908" y="-1.4960380348652933">Point in 1.7622821, -1.496038</Point>
<Point name="P3" mainparameter="true" x="-3.917591125198098" y="3.1442155309033284">Point in -3.9175911, 3.1442155</Point>
<Point name="P4" target="true" x="x(P3)+x(P2)-x(P1)" actx="1.2044409667194929" y="y(P3)+y(P2)-y(P1)" acty="4.513467496038035" fixed="true">Punkt in &quot;x(P3)+x(P2)-x(P1)&quot;, &quot;y(P3)+y(P2)-y(P1)&quot;</Point>
</Objects>
</Macro>
<Macro Name="Macros Padro/Controle Deslizante">
<Parameter name="P1">Ponto inicial do controle</Parameter>
<Parameter name="P2">Ponto final do controle</Parameter>
<Comment>
<P>Controle deslizante para escolher um valor numrico
no intervalo [a, b]. Este valor pode ser usado
depois (renomeie a expresso). Os valores de a e b
sero pedidos durante a execuo da macro.</P>
</Comment>
<Objects>
<Expression name="AD1" hidden="super" showvalue="true" x="2.66667" y="2.0" value="0" prompt="Wert">Expression &quot;0&quot; in 2.66667, 2.0</Expression>
<Expression name="AD2" hidden="super" showvalue="true" x="2.68852" y="1.45355" value="10" prompt="Wert">Expression &quot;10&quot; in 2.68852, 1.45355</Expression>
<Point name="P1" mainparameter="true" x="-0.9617486338797816" y="1.3224043715846996">Point in -0.9617486, 1.3224044</Point>
<Point name="P2" mainparameter="true" x="1.48634" y="3.77049">Point in 1.48634, 3.77049</Point>
<Segment name="s1" target="true" from="P1" to="P2">Segment from P1 to P2</Segment>
<PointOn name="OP3" type="thick" target="true" on="s1" alpha="0.20682542521125796" shape="circle">Point on s1</PointOn>
<Circle name="k1" hidden="super" fixed="d(P1,P2)/10" midpoint="OP3" acute="true">Circle around OP3 with Radius 0.3462118</Circle>
<PointOn name="OP4" type="invisible" hidden="super" on="k1" alpha="-1.017350822361835" shape="circle">Point aon k1</PointOn>
<Expression name="AD3" showvalue="true" x="x(OP4)" y="y(OP4)" value="AD1+d(P1,OP3)/d(P1,P2)*(AD2-AD1)" prompt="Wert" fixed="true">Expression &quot;AD1+d(P1,OP3)/d(P1,P2)*(AD2-AD1)&quot; in -0.27345, 1.5342</Expression>
</Objects>
<PromptFor object0="AD1" prompt0="a" object1="AD2" prompt1="b"/>
</Macro>
</CaR>
